# Method: products.delete

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/products/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/products/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/products/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/products/delete#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/products/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/products/delete#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/products/delete#try-it)

Deletes a product from your Merchant Center account.

### HTTP request

`DELETE https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/products/{productId}`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account that contains the product. This account cannot be a multi-client account. |
| `productId` | `string` The [REST ID](https://developers.google.com/shopping-content/v2/reference/v2.1/products#id) of the product. |

### Query parameters

| Parameters ||
|---|---|
| `feedId` | `string` The Content API Supplemental Feed ID. If present then product deletion applies to the data in a supplemental feed. If absent, entire product will be deleted. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).